var $AdfDhtmlPanelFormLayoutPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlPanelFormLayoutPeer");
$goog$exportSymbol$$("AdfDhtmlPanelFormLayoutPeer", $AdfDhtmlPanelFormLayoutPeer$$);
$AdfDhtmlPanelFormLayoutPeer$$.$InitSubclass$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$InitSubclass$$() {
  this.$_LAYOUT_RESPONSIVE$ = "RESPONSIVE";
  this.$_PANEL_SIZE_STATE_PREFIX$ = "p_AFPanelSize";
  this.$_PANEL_SIZE_SM_STATE$ = "p_AFPanelSizeSm";
  this.$_PANEL_SIZE_MD_STATE$ = "p_AFPanelSizeMd";
  this.$_PANEL_SIZE_LG_STATE$ = "p_AFPanelSizeLg";
  this.$_PANEL_SIZE_XL_STATE$ = "p_AFPanelSizeXl";
  this.$_PANEL_SIZE_STATE_LENGTH$ = 15;
  this.$_PANEL_SIZE_SM_SKIN_PROPERTY$ = "af|panelFormLayout-tr-panel-size-sm";
  this.$_PANEL_SIZE_MD_SKIN_PROPERTY$ = "af|panelFormLayout-tr-panel-size-md";
  this.$_PANEL_SIZE_LG_SKIN_PROPERTY$ = "af|panelFormLayout-tr-panel-size-lg";
  this.$_GROUP_EXPANDO$ = "data-afr-grp";
  this.$_GROUP_EXPANDO_SELECTOR$ = "[data-afr-grp]";
  this.$_HIDE_SEPARATOR_CLASS$ = "AFHideGroupSeparator";
};
$goog$exportSymbol$$("AdfDhtmlPanelFormLayoutPeer.InitSubclass", $AdfDhtmlPanelFormLayoutPeer$$.$InitSubclass$);
$AdfDhtmlPanelFormLayoutPeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$$InitDomElement$$($component$$1752$$, $element$$278$$) {
  $AdfDhtmlPanelFormLayoutPeer$$.$superclass$.$InitDomElement$.call(this, $component$$1752$$, $element$$278$$);
  $AdfDhtmlPanelFormLayoutPeer$$.$_isResponsive$($component$$1752$$) && ($AdfDhtmlPanelFormLayoutPeer$$.$_initPanelSizeBreakpoints$(), $AdfDhtmlPanelFormLayoutPeer$$.$_hideStartFooterSeparator$($element$$278$$));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelFormLayoutPeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlPanelFormLayoutPeer$$.prototype.$InitDomElement$});
$AdfDhtmlPanelFormLayoutPeer$$.prototype.$needsResizeNotify$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$$needsResizeNotify$$($component$$1753$$) {
  return $AdfDhtmlPanelFormLayoutPeer$$.$_isResponsive$($component$$1753$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelFormLayoutPeer.prototype.needsResizeNotify", {$needsResizeNotify$:$AdfDhtmlPanelFormLayoutPeer$$.prototype.$needsResizeNotify$});
$AdfDhtmlPanelFormLayoutPeer$$.prototype.$ResizeNotify$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$$ResizeNotify$$($oldWidth$$22$$, $domElement$$383_oldHeight$$22$$, $newWidth$$29$$) {
  $domElement$$383_oldHeight$$22$$ = this.$getDomElement$();
  $oldWidth$$22$$ != $newWidth$$29$$ && $AdfDhtmlPanelFormLayoutPeer$$.$_adjustPanelSizeState$($domElement$$383_oldHeight$$22$$, $newWidth$$29$$);
  $AdfDhtmlPanelFormLayoutPeer$$.$_manageSeparatorVisibility$($domElement$$383_oldHeight$$22$$);
  $AdfDhtmlPanelFormLayoutPeer$$.$_alignFooterContent$($domElement$$383_oldHeight$$22$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelFormLayoutPeer.prototype.ResizeNotify", {$ResizeNotify$:$AdfDhtmlPanelFormLayoutPeer$$.prototype.$ResizeNotify$});
$AdfDhtmlPanelFormLayoutPeer$$.$_addPanelSizeStyleClass$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_addPanelSizeStyleClass$$($domElement$$384$$, $className$$28$$) {
  var $currentStyleClasses$$1$$ = $domElement$$384$$.className;
  if (-1 == $currentStyleClasses$$1$$.indexOf($className$$28$$)) {
    var $index$$162$$ = $currentStyleClasses$$1$$.indexOf($AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_STATE_PREFIX$);
    -1 != $index$$162$$ && $AdfDomUtils$$.$removeCSSClassName$($domElement$$384$$, $currentStyleClasses$$1$$.substring($index$$162$$, $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_STATE_LENGTH$));
    $AdfDomUtils$$.$addCSSClassName$($domElement$$384$$, $className$$28$$);
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_adjustPanelSizeState$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_adjustPanelSizeState$$($domElement$$385$$, $newWidth$$30$$) {
  $AdfDhtmlPanelFormLayoutPeer$$.$_addPanelSizeStyleClass$($domElement$$385$$, $newWidth$$30$$ < $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$[0] ? $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_SM_STATE$ : $newWidth$$30$$ >= $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$[0] && $newWidth$$30$$ < $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$[1] ? $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_MD_STATE$ : $newWidth$$30$$ >= $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$[1] && 
  $newWidth$$30$$ < $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$[2] ? $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_LG_STATE$ : $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_XL_STATE$);
};
$AdfDhtmlPanelFormLayoutPeer$$.$_alignFooterContent$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_alignFooterContent$$($container$$25_domElement$$386$$) {
  $container$$25_domElement$$386$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getContainer$($container$$25_domElement$$386$$);
  var $footer$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getFooter$($container$$25_domElement$$386$$);
  if ($footer$$) {
    var $isTopAligned$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_isTopAligned$($container$$25_domElement$$386$$), $footerLabelWidth$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_alignFooterFieldLabels$($container$$25_domElement$$386$$, $footer$$, $isTopAligned$$);
    $AdfDhtmlPanelFormLayoutPeer$$.$_stretchFooterContent$($container$$25_domElement$$386$$, $footer$$, $footerLabelWidth$$, $isTopAligned$$);
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_alignFooterFieldLabels$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_alignFooterFieldLabels$$($container$$26_footerLabelWidth$$1$$, $footer$$1$$, $isTopAligned$$1$$) {
  $container$$26_footerLabelWidth$$1$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getFirstItemLabelCellWidth$($container$$26_footerLabelWidth$$1$$);
  if (void 0 !== $container$$26_footerLabelWidth$$1$$) {
    return $AdfDhtmlPanelFormLayoutPeer$$.$_updateFooterLabelsWidth$($footer$$1$$.firstElementChild, $container$$26_footerLabelWidth$$1$$, $isTopAligned$$1$$), $container$$26_footerLabelWidth$$1$$;
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getContainer$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getContainer$$($domElement$$387$$) {
  return $domElement$$387$$.firstElementChild;
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getContentCell$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getContentCell$$($item$$50$$) {
  return ($AdfDhtmlPanelFormLayoutPeer$$.$_isGroup$($item$$50$$) ? $AdfDhtmlPanelFormLayoutPeer$$.$_getFirstFormItemInGroup$($item$$50$$) : $item$$50$$).firstElementChild.nextElementSibling;
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getFirstFormItem$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getFirstFormItem$$($container$$27_firstItem$$1$$) {
  if ($container$$27_firstItem$$1$$ = $container$$27_firstItem$$1$$.firstElementChild) {
    return $AdfDhtmlPanelFormLayoutPeer$$.$_isGroup$($container$$27_firstItem$$1$$) ? $AdfDhtmlPanelFormLayoutPeer$$.$_getFirstFormItemInGroup$($container$$27_firstItem$$1$$) : $container$$27_firstItem$$1$$;
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getFirstFormItemInGroup$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getFirstFormItemInGroup$$($group$$11$$) {
  return $group$$11$$.firstElementChild.nextElementSibling;
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getFirstItemLabelCellWidth$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getFirstItemLabelCellWidth$$($container$$28_firstItem$$2$$) {
  if ($container$$28_firstItem$$2$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getFirstFormItem$($container$$28_firstItem$$2$$)) {
    return $container$$28_firstItem$$2$$.firstElementChild.offsetWidth;
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getFooter$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getFooter$$($container$$29$$) {
  return $container$$29$$.nextElementSibling;
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getFooterWideFieldWidth$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getFooterWideFieldWidth$$($container$$30_firstItem$$3_secondColumnItem$$, $footerLabelWidth$$2$$, $isTopAligned$$2$$) {
  if ($container$$30_firstItem$$3_secondColumnItem$$ = $container$$30_firstItem$$3_secondColumnItem$$.firstElementChild) {
    var $firstColumn_firstColumnMaxWidth_secondColumnMaxWidth$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_parseColumn$($container$$30_firstItem$$3_secondColumnItem$$);
    $container$$30_firstItem$$3_secondColumnItem$$ = $firstColumn_firstColumnMaxWidth_secondColumnMaxWidth$$.$nextColumnItem$;
    $firstColumn_firstColumnMaxWidth_secondColumnMaxWidth$$ = $firstColumn_firstColumnMaxWidth_secondColumnMaxWidth$$.maxWidth;
    if (!$container$$30_firstItem$$3_secondColumnItem$$) {
      return $firstColumn_firstColumnMaxWidth_secondColumnMaxWidth$$;
    }
    $firstColumn_firstColumnMaxWidth_secondColumnMaxWidth$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_parseColumn$($container$$30_firstItem$$3_secondColumnItem$$).maxWidth;
    return $isTopAligned$$2$$ ? $AdfDhtmlPanelFormLayoutPeer$$.$_getOffsetStart$($container$$30_firstItem$$3_secondColumnItem$$) + $firstColumn_firstColumnMaxWidth_secondColumnMaxWidth$$ : $AdfDhtmlPanelFormLayoutPeer$$.$_getOffsetStart$($AdfDhtmlPanelFormLayoutPeer$$.$_getContentCell$($container$$30_firstItem$$3_secondColumnItem$$)) + $firstColumn_firstColumnMaxWidth_secondColumnMaxWidth$$ - $footerLabelWidth$$2$$;
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getFormItemWidth$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getFormItemWidth$$($item$$51_maxWidth$$7$$) {
  if ($AdfDhtmlPanelFormLayoutPeer$$.$_isGroup$($item$$51_maxWidth$$7$$)) {
    var $firstItem$$4_nextItem$$5$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getFirstFormItemInGroup$($item$$51_maxWidth$$7$$);
    $item$$51_maxWidth$$7$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getContentCell$($firstItem$$4_nextItem$$5$$).firstElementChild.clientWidth;
    for ($firstItem$$4_nextItem$$5$$ = $firstItem$$4_nextItem$$5$$.nextElementSibling;$AdfDhtmlPanelFormLayoutPeer$$.$_isGroupMemberNotSeparator$($firstItem$$4_nextItem$$5$$);) {
      var $nextItemWidth$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getContentCell$($firstItem$$4_nextItem$$5$$).firstElementChild.clientWidth;
      $item$$51_maxWidth$$7$$ < $nextItemWidth$$ && ($item$$51_maxWidth$$7$$ = $nextItemWidth$$);
      $firstItem$$4_nextItem$$5$$ = $firstItem$$4_nextItem$$5$$.nextElementSibling;
    }
    return $item$$51_maxWidth$$7$$;
  }
  return $AdfDhtmlPanelFormLayoutPeer$$.$_getContentCell$($item$$51_maxWidth$$7$$).firstElementChild.clientWidth;
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getOffsetStart$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getOffsetStart$$($element$$279$$) {
  return $AdfPage$$.$PAGE$.$getLocaleContext$().$isRightToLeft$() ? $element$$279$$.offsetParent.offsetWidth - $element$$279$$.offsetLeft - $element$$279$$.offsetWidth : $element$$279$$.offsetLeft;
};
$AdfDhtmlPanelFormLayoutPeer$$.$_getSeparator$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_getSeparator$$($group$$12$$, $isEnd$$) {
  return $isEnd$$ ? $group$$12$$.lastElementChild : $group$$12$$.firstElementChild;
};
$AdfDhtmlPanelFormLayoutPeer$$.$_hideStartFooterSeparator$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_hideStartFooterSeparator$$($container$$31_domElement$$388_firstItem$$5_footer$$2$$) {
  $container$$31_domElement$$388_firstItem$$5_footer$$2$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getContainer$($container$$31_domElement$$388_firstItem$$5_footer$$2$$);
  ($container$$31_domElement$$388_firstItem$$5_footer$$2$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getFooter$($container$$31_domElement$$388_firstItem$$5_footer$$2$$)) && ($container$$31_domElement$$388_firstItem$$5_footer$$2$$ = $container$$31_domElement$$388_firstItem$$5_footer$$2$$.firstElementChild) && $AdfDhtmlPanelFormLayoutPeer$$.$_isGroup$($container$$31_domElement$$388_firstItem$$5_footer$$2$$) && $AdfDomUtils$$.$addCSSClassName$($container$$31_domElement$$388_firstItem$$5_footer$$2$$.firstElementChild, 
  $AdfDhtmlPanelFormLayoutPeer$$.$_HIDE_SEPARATOR_CLASS$);
};
$AdfDhtmlPanelFormLayoutPeer$$.$_initPanelSizeBreakpoints$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_initPanelSizeBreakpoints$$() {
  if (void 0 === $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$) {
    $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$ = [];
    var $laf$$110$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$();
    $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$[0] = $laf$$110$$.$getSkinProperty$($AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_SM_SKIN_PROPERTY$);
    $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$[1] = $laf$$110$$.$getSkinProperty$($AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_MD_SKIN_PROPERTY$);
    $AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_BREAKPOINTS$[2] = $laf$$110$$.$getSkinProperty$($AdfDhtmlPanelFormLayoutPeer$$.$_PANEL_SIZE_LG_SKIN_PROPERTY$);
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_isGroupMemberNotSeparator$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_isGroupMemberNotSeparator$$($element$$280$$) {
  return $element$$280$$ && $element$$280$$.hasAttribute("id");
};
$AdfDhtmlPanelFormLayoutPeer$$.$_isGroup$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_isGroup$$($element$$281$$) {
  return $element$$281$$.hasAttribute($AdfDhtmlPanelFormLayoutPeer$$.$_GROUP_EXPANDO$);
};
$AdfDhtmlPanelFormLayoutPeer$$.$_isResponsive$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_isResponsive$$($component$$1754$$) {
  return $component$$1754$$.getLayout() == $AdfDhtmlPanelFormLayoutPeer$$.$_LAYOUT_RESPONSIVE$;
};
$AdfDhtmlPanelFormLayoutPeer$$.$_isTopAligned$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_isTopAligned$$($container$$32_firstItem$$6_labelCell$$2$$) {
  if ($container$$32_firstItem$$6_labelCell$$2$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getFirstFormItem$($container$$32_firstItem$$6_labelCell$$2$$)) {
    return $container$$32_firstItem$$6_labelCell$$2$$ = $container$$32_firstItem$$6_labelCell$$2$$.firstElementChild, $container$$32_firstItem$$6_labelCell$$2$$.offsetLeft == $container$$32_firstItem$$6_labelCell$$2$$.nextElementSibling.offsetLeft;
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_manageSeparatorVisibility$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_manageSeparatorVisibility$$($containerPaddingTop_domElement$$389$$) {
  var $container$$33_groups$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getContainer$($containerPaddingTop_domElement$$389$$);
  $containerPaddingTop_domElement$$389$$ = $container$$33_groups$$.style.paddingTop;
  $containerPaddingTop_domElement$$389$$ = "" === $containerPaddingTop_domElement$$389$$ ? 0 : $containerPaddingTop_domElement$$389$$;
  for (var $container$$33_groups$$ = $container$$33_groups$$.querySelectorAll($AdfDhtmlPanelFormLayoutPeer$$.$_GROUP_EXPANDO_SELECTOR$), $i$$484$$ = 0, $length$$69$$ = $container$$33_groups$$.length;$i$$484$$ < $length$$69$$;$i$$484$$++) {
    var $group$$13$$ = $container$$33_groups$$[$i$$484$$];
    $AdfDomUtils$$.$addOrRemoveCSSClassName$(16 >= $group$$13$$.offsetTop - $containerPaddingTop_domElement$$389$$, $AdfDhtmlPanelFormLayoutPeer$$.$_getSeparator$($group$$13$$), $AdfDhtmlPanelFormLayoutPeer$$.$_HIDE_SEPARATOR_CLASS$);
    var $nextItem$$6$$ = $group$$13$$.nextElementSibling;
    $AdfDomUtils$$.$addOrRemoveCSSClassName$(!$nextItem$$6$$ || 16 >= $nextItem$$6$$.offsetTop - $containerPaddingTop_domElement$$389$$, $AdfDhtmlPanelFormLayoutPeer$$.$_getSeparator$($group$$13$$, !0), $AdfDhtmlPanelFormLayoutPeer$$.$_HIDE_SEPARATOR_CLASS$);
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_parseColumn$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_parseColumn$$($firstItem$$7_maxWidth$$8$$) {
  var $currentColumnOffsetLeft_returnObj$$1$$ = $firstItem$$7_maxWidth$$8$$.offsetLeft, $nextColumnItem$$ = $firstItem$$7_maxWidth$$8$$.nextElementSibling;
  for ($firstItem$$7_maxWidth$$8$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getFormItemWidth$($firstItem$$7_maxWidth$$8$$);$nextColumnItem$$ && $nextColumnItem$$.offsetLeft == $currentColumnOffsetLeft_returnObj$$1$$;) {
    var $itemWidth$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getFormItemWidth$($nextColumnItem$$);
    $firstItem$$7_maxWidth$$8$$ < $itemWidth$$ && ($firstItem$$7_maxWidth$$8$$ = $itemWidth$$);
    $nextColumnItem$$ = $nextColumnItem$$.nextElementSibling;
  }
  $currentColumnOffsetLeft_returnObj$$1$$ = {};
  $currentColumnOffsetLeft_returnObj$$1$$.$nextColumnItem$ = $nextColumnItem$$;
  $currentColumnOffsetLeft_returnObj$$1$$.maxWidth = $firstItem$$7_maxWidth$$8$$;
  return $currentColumnOffsetLeft_returnObj$$1$$;
};
$AdfDhtmlPanelFormLayoutPeer$$.$_stretchFooterContent$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_stretchFooterContent$$($container$$34_footerWideFieldWidth_widthStyle$$, $footer$$3_wideFields$$, $footerLabelWidth$$3_i$$485$$, $isTopAligned$$3$$) {
  if (void 0 !== $footerLabelWidth$$3_i$$485$$ && ($footer$$3_wideFields$$ = $footer$$3_wideFields$$.querySelectorAll("textarea"))) {
    var $wideFieldsLength$$ = $footer$$3_wideFields$$.length;
    if (0 != $wideFieldsLength$$ && ($container$$34_footerWideFieldWidth_widthStyle$$ = $AdfDhtmlPanelFormLayoutPeer$$.$_getFooterWideFieldWidth$($container$$34_footerWideFieldWidth_widthStyle$$, $footerLabelWidth$$3_i$$485$$, $isTopAligned$$3$$), void 0 !== $container$$34_footerWideFieldWidth_widthStyle$$)) {
      for ($container$$34_footerWideFieldWidth_widthStyle$$ = "width: " + $container$$34_footerWideFieldWidth_widthStyle$$ + "px;", $footerLabelWidth$$3_i$$485$$ = 0;$footerLabelWidth$$3_i$$485$$ < $wideFieldsLength$$;$footerLabelWidth$$3_i$$485$$++) {
        $footer$$3_wideFields$$[$footerLabelWidth$$3_i$$485$$].setAttribute("style", $container$$34_footerWideFieldWidth_widthStyle$$);
      }
    }
  }
};
$AdfDhtmlPanelFormLayoutPeer$$.$_updateFooterLabelsWidth$ = function $$AdfDhtmlPanelFormLayoutPeer$$$$_updateFooterLabelsWidth$$($footerChild$$, $labelWidth$$, $isTopAligned$$4$$, $isInsideGroup$$) {
  for (var $labelWidthStyle$$ = "width: " + $labelWidth$$ + "px;", $contentWidthStyle$$ = "width: calc(100% - " + $labelWidth$$ + "px);";$footerChild$$;) {
    if ($AdfDhtmlPanelFormLayoutPeer$$.$_isGroup$($footerChild$$)) {
      $AdfDhtmlPanelFormLayoutPeer$$.$_updateFooterLabelsWidth$($AdfDhtmlPanelFormLayoutPeer$$.$_getFirstFormItemInGroup$($footerChild$$), $labelWidth$$, $isTopAligned$$4$$, !0);
    } else {
      if (!$isInsideGroup$$ || $AdfDhtmlPanelFormLayoutPeer$$.$_isGroupMemberNotSeparator$($footerChild$$)) {
        var $labelCell$$3$$ = $footerChild$$.firstElementChild, $contentCell$$2$$ = $labelCell$$3$$.nextElementSibling;
        $isTopAligned$$4$$ ? ($labelCell$$3$$.removeAttribute("style"), $contentCell$$2$$.removeAttribute("style")) : ($labelCell$$3$$.setAttribute("style", $labelWidthStyle$$), $contentCell$$2$$.setAttribute("style", $contentWidthStyle$$));
      }
    }
    $footerChild$$ = $footerChild$$.nextElementSibling;
  }
};
